Libraries required on Linux (Garoon 5.x.x and later)

Target products: Garoon 5.x.x and later

Some libraries are required to use Cybozu products on your Linux server.
You may not be able to use Cybozu products if the required libraries are not installed on your Linux server.
The required libraries to use Cybozu products can be installed automatically on your server by installing the RPM packages suitable for your OS.

For information on how to check the RPM package is installed or to install it, and the required RPM packages, see the following topics:

Checking the RPM package is installed

To check the RPM package is installed on your server:

  1. From the command line, execute the following command:

    yum -q list installed RPM package name
    

    Example:

    yum -q list installed libaio.x86_64
    
  2. Check the search results.
    If the RPM package information appears in the search results, the RPM package is installed on your server.
    Example:

    Installed Packages
    libaio.x86_64 0.3.109-12.el7 @anaconda-RedHatEnterpriseLinux-201009221801.x86_64  
    

    If the following error message appears, the RPM package is not installed on your server.

    Error: No matching Packages to list
    

Installing the RPM package

  1. Execute the following command:

    yum install RPM package name  
    

    Example:

    yum install libaio.x86_64  
    

Required RPM packages on the stand-alone server systems

Red Hat Enterprise Linux 8

RPM Package Garoon 5.0 Garoon 5.5.0
bash.x86_64 4.4.19 4.4.19
brotli.x86_64 1.0.6 1.0.6
bzip2-libs.x86_64 1.0.6 1.0.6
cyrus-sasl-lib.x86_64 2.1.27 2.1.27
freetype.x86_64 2.9.1 2.9.1
glibc.x86_64 2.28 2.28
keyutils-libs.x86_64 1.5.10 1.5.10
krb5-libs.x86_64 1.16.1 1.17
libaio.x86_64 0.3.110 0.3.112
libcom_err.x86_64 1.44.3 1.45.4
libcurl.x86_64 7.61.1 7.61.1
libgcc.x86_64 8.2.1 8.3.1
libicu.x86_64 60.2 60.3
libidn2.x86_64 2.0.5 2.2.0
libjpeg-turbo.x86_64 1.5.3 1.5.3
libnghttp2.x86_64 1.33.0 1.33.0
libpng.x86_64 1.6.34 1.6.34
libpsl.x86_64 0.20.2 0.20.2
libselinux.x86_64 2.8 2.9
libssh.x86_64 0.8.5 0.9.0
libstdc++.x86_64 8.2.1 8.3.1
libunistring.x86_64 0.9.9 0.9.9
libxcrypt.x86_64 4.1.1 4.1.1
libxml2.x86_64 2.9.7 2.9.7
ncurses-compat-libs.x86_64 6.1 6.1
numactl-libs.x86_64 2.0.12 2.0.12
openldap.x86_64 2.4.46 2.4.46
openssl-libs.x86_64 1.1.1 1.1.1c
pcre2.x86_64 10.32 10.32
xz-libs.x86_64 5.2.4 5.2.4
zlib.x86_64 1.2.11 1.2.11

Red Hat Enterprise Linux 7

RPM Package Garoon 5.0 Garoon 5.5.0
bash.x86_64 4.2.46 4.2.46
bzip2-libs.x86_64 1.0.6 1.0.6
cyrus-sasl-lib.x86_64 2.1.26 2.1.26
freetype.x86_64 2.8 2.8
glibc.x86_64 2.17 2.17
keyutils-libs.x86_64 1.5.8 1.5.8
krb5-libs.x86_64 1.15.1 1.15.1
libaio.x86_64 0.3.109 0.3.109
libcom_err.x86_64 1.42.9 1.42.9
libcurl.x86_64 7.29.0 7.29.0
libgcc.x86_64 4.8.5 4.8.5
libicu.x86_64 50.2 50.2
libidn.x86_64 1.28 1.28
libjpeg-turbo.x86_64 1.2.90 1.2.90
libpng.x86_64 1.5.13 1.5.13
libselinux.x86_64 2.5 2.5
libssh2.x86_64 1.8.0 1.8.0
libstdc++.x86_64 4.8.5 4.8.5
libxml2.x86_64 2.9.1 2.9.1
ncurses-libs.x86_64 5.9 5.9
nspr.x86_64 4.21.0 4.21.0
nss.x86_64 3.44.0 3.44.0
nss-softokn-freebl.x86_64 3.44.0 3.44.0
nss-util.x86_64 3.44.0 3.44.0
numactl-libs.x86_64 2.0.12 2.0.12
openldap.x86_64 2.4.44 2.4.44
openssl-libs.x86_64 1.0.2k 1.0.2k
pcre.x86_64 8.32 8.32
xz-libs.x86_64 5.2.2 5.2.2
zlib.x86_64 1.2.7 1.2.7

Red Hat Enterprise Linux 6

In Garoon 5.5.0 or later, Red Hat Enterprise Linux 6 is excluded from the supported operating environments.

RPM Package Garoon 5.0
bash.x86_64 4.1.2
cyrus-sasl-lib.x86_64 2.1.23
freetype.x86_64 2.3.11
glibc.x86_64 2.12
keyutils-libs.x86_64 1.4
krb5-libs.x86_64 1.10.3
libaio.x86_64 0.3.107
libcom_err.x86_64 1.41.12
libcurl.x86_64 7.19.7
libgcc.x86_64 4.4.7
libicu.x86_64 4.2.1
libidn.x86_64 1.18
libjpeg-turbo.x86_64 1.2.1
libpng.x86_64 1.2.49
libselinux.x86_64 2.0.94
libssh2.x86_64 1.4.2
libstdc++.x86_64 4.4.7
libxml2.x86_64 2.7.6
ncurses-libs.x86_64 5.7
nspr.x86_64 4.19.0
nss.x86_64 3.36.0
nss-softokn-freebl.x86_64 3.14.3
nss-util.x86_64 3.36.0
numactl.x86_64 2.0.9
openldap.x86_64 2.4.40
openssl.x86_64 1.0.1e
zlib.x86_64 1.2.3

Required RPM packages on the Full text search server

Red Hat Enterprise Linux 8

RPM Package Full text search server 2.0.3
glibc.x86_64 2.28
libgcc.x86_64 8.2.1
libstdc++.x86_64 8.2.1
unzip.x86_64 6.0
zlib.x86_64 1.2.11

Red Hat Enterprise Linux 7

RPM Package Full text search server 2.0.3
glibc.x86_64 2.17
libgcc.x86_64 4.8.5
libstdc++.x86_64 4.8.5
unzip.x86_64 6.0
zlib.x86_64 1.2.7

Red Hat Enterprise Linux 6

RPM Package Full text search server 2.0.3
glibc.x86_64 2.12
libgcc.x86_64 4.4.7
libstdc++.x86_64 4.4.7
unzip.x86_64 6.0
zlib.x86_64 1.2.3